!!     -*- f90 -*-

!! For grid
PARAMETER (maxmx = 600)
PARAMETER (maxmy = 600)
PARAMETER (maxgrid = maxmx+10)

!! For CLAWPACK
PARAMETER (meqn = 1)
PARAMETER (mwaves = 1)
PARAMETER (mbc = 2)
PARAMETER (mwork =422508 )
PARAMETER (maux = 3)

!! parameters for psi points and solver.
PARAMETER(maxi = 40)         !! maximum number of circles
PARAMETER(maxn = 64)       !! maximum number of points used for psi on
PARAMETER(maxnz = 20*maxn)
PARAMETER(LWA = maxi*maxn*(3*maxi*maxn + 13)/2)!! Size of work array for C05NBF

!! For output
PARAMETER(LS = 100) !! Maximum string length for file names

!! For problem choice
INTEGER no_stream, annulus, channel, irr_objs, user_domain
PARAMETER(no_stream = 0, channel = 1, annulus = 2, irr_objs = 3, user_domain=4)
