close all;
clear all;

[mx,my,dx,dy,ax,ay,bx,by,iprob,fname] = read_dat;
[ha, hf] = get_figs(iprob);


set(ha,'Xlim',[0 bx]);
set(ha,'Ylim',[0 by]);
set(ha,'XTick',[0:bx]);
set(ha,'YTick',[0:by]);
set(ha,'NextPlot','add');

xe = (0:dx:bx)';
ye = (0:dy:by)';
for i = 1:mx+1
  plot([xe(i) xe(i)], [ye(1), ye(my+1)],'k');
end;

for j = 1:my+1
  plot([xe(1) xe(mx+1)], [ye(j), ye(j)],'k');
end;


%  q = zeros(mx+1,my+1);
%  surf(xg,yg,q);
%  colormap([1 1 1]);

title(['Computational grid: ',num2str(mx),'x',num2str(my)]);
xlabel('x');
ylabel('y');

[xs,ys] = init_shapes(iprob);
plot(xs,ys,'r-');
